To get the source code you need either of these:

* A working web browser + tar(or equivalent): https://github.com/Araq/Nim/tarball/master
* wget + tar: `wget --no-check-certificate "https://github.com/Araq/Nim/tarball/master"`
* git: `git clone --depth 1 git://github.com/Araq/Nim.git`

### Bootstrapping

After downloading the source (and extracting it), you need to extract build/csources.zip then you can bootstrap with:

* `./build.sh` or `build.bat` (Windows)
* `nim c koch`
* `koch boot [-d:release]`
* Put Nim on your PATH
  * For Linux, you only need a symlink: `ln -s $PWD/bin/nim /home/user/bin`

### Nimble

Nimble is Nim's package manager
* Download the source from https://github.com/nim-lang/nimble using one of the above methods.
* `nim c nimble`
* `ln -s $PWD/nimble /home/user/bin`
* `nimble update`